# Changelog
All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.1.0/),
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).


## [Unreleased]
### Added
### Changed
### Deprecated
### Removed
### Fixed
### Security


## [1.0.7] – 2024-02-12
### Fixed
* Create files with POSIX commands, not `mktemp` (directory is still created with `mktemp`) – no change in functionality, increased portability. (#7)
* Escape file names properly (and remove all `eval` commands).


## [1.0.6] – 2023-04-24
### Fixed
* You are now reprompted for your password after a failed attempt when saving a file – 3 tries max. (#4)
* If the doas account is locked prior to calling doasedit, the according message now gets displayed and is not hidden anymore.


## [1.0.5] – 2022-12-09
### Fixed
* Files with a name starting with X couldn't be edited because it was interpreted as template by `mktemp`.


## [1.0.4] – 2022-11-21
### Changed
* Original filename is now represented in temp name


## [1.0.3] – 2022-11-21
### Fixed
* Command line arguments in (DOAS_)EDITOR could not be used


## [1.0.2] – 2022-11-11
### Added
* Sanity check when editing doas' config. You are warned and asked what to do when introducing a syntax error to a doas config file (by @roselandgoose)
* Try vi as fallback if no editor is specified

### Changed
* The approach how all possible cases are handled. E. g., it's now possible to edit root-owned files in your own directory
* Don't exit on errors with a single file any more, just try editing the next file

### Fixed
* Leaving files behind when editing more than one file
* Editor command (`$DOAS_EDITOR`) being unnecessarily checked for every edited file


## [1.0.1] – 2022-04-12
### Fixed
* Erroneous quit when directory not user-readable


## [1.0.0] – 2022-03-09
* Release
